List roles

Lists custom roles and built-in role templates available in the tenant.

Technical details

Exact HTTP method and path your client calls

get/api/v1/roles

Responses

List of roles

FieldTypeDescription
Role[]
object
Example
[
  {
    "id": "string",
    "tenantId": "string",
    "name": "string",
    "description": "string",
    "isSystemRole": false,
    "permissions": [
      "string"
    ],
    "createdAt": "2026-01-01T00:00:00.000Z"
  }
]

Errors return the standard envelope. See error reference.

Code samples

curl --request GET \
  --url 'https://api.not24get.me/api/v1/roles' \
  --header 'Authorization: Bearer <your-api-key>' \
  --header 'Content-Type: application/json' \
  --header 'X-Workspace-ID: <workspace-id>'

Try it

Create role

Creates a custom role with a permission set.

Technical details

Exact HTTP method and path your client calls

post/api/v1/roles

Request body

FieldTypeDescription
namerequiredstring
descriptionstring
permissionsrequiredstring[]

Responses

Role created

FieldTypeDescription
idstring
tenantIdstring
namestring
descriptionstring
isSystemRoleboolean
permissionsstring[]
createdAtstring<date-time> · date-time
Example
{
  "id": "string",
  "tenantId": "string",
  "name": "string",
  "description": "string",
  "isSystemRole": false,
  "permissions": [
    "string"
  ],
  "createdAt": "2026-01-01T00:00:00.000Z"
}

Errors return the standard envelope. See error reference.

Code samples

curl --request POST \
  --url 'https://api.not24get.me/api/v1/roles' \
  --header 'Authorization: Bearer <your-api-key>' \
  --header 'Content-Type: application/json' \
  --header 'X-Workspace-ID: <workspace-id>' \
  --data '{
  "name": "string",
  "description": "string",
  "permissions": [
    "string"
  ]
}'

Try it

Request body (JSON)

Delete role

Deletes a custom role. Returns no body on success.

Technical details

Exact HTTP method and path your client calls

delete/api/v1/roles/{roleId}

Path parameters

NameTypeRequiredDescription
roleIdstringrequired

Responses

No Content

FieldTypeDescription
(value)EmptyResponsePart
Example
null

Errors return the standard envelope. See error reference.

Code samples

curl --request DELETE \
  --url 'https://api.not24get.me/api/v1/roles/%3AroleId' \
  --header 'Authorization: Bearer <your-api-key>' \
  --header 'Content-Type: application/json' \
  --header 'X-Workspace-ID: <workspace-id>'

Try it

Path parameters

Update role

Updates role name, description, or permissions.

Technical details

Exact HTTP method and path your client calls

patch/api/v1/roles/{roleId}

Path parameters

NameTypeRequiredDescription
roleIdstringrequired

Request body

FieldTypeDescription
namestring
descriptionstring
permissionsstring[]

Responses

Role updated

FieldTypeDescription
idstring
tenantIdstring
namestring
descriptionstring
isSystemRoleboolean
permissionsstring[]
createdAtstring<date-time> · date-time
Example
{
  "id": "string",
  "tenantId": "string",
  "name": "string",
  "description": "string",
  "isSystemRole": false,
  "permissions": [
    "string"
  ],
  "createdAt": "2026-01-01T00:00:00.000Z"
}

Errors return the standard envelope. See error reference.

Code samples

curl --request PATCH \
  --url 'https://api.not24get.me/api/v1/roles/%3AroleId' \
  --header 'Authorization: Bearer <your-api-key>' \
  --header 'Content-Type: application/json' \
  --header 'X-Workspace-ID: <workspace-id>' \
  --data '{
  "name": "string",
  "description": "string",
  "permissions": [
    "string"
  ]
}'

Try it

Path parameters
Request body (JSON)